PUTC(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
putc - put a byte on a stream

SYNOPSIS

#include <stdio.h>

int putc(int c, FILE *stream);

DESCRIPTION

The putc() function shall be equivalent to fputc(), except that if it is implemented as a macro it may evaluate stream more than once, so the argument should never be an expression with side effects.

RETURN VALUE

Refer to fputc() .

ERRORS

Refer to fputc() .

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

Since it may be implemented as a macro, putc() may treat a stream argument with side effects incorrectly. In particular, putc(c,*f++) does not necessarily work correctly. Therefore, use of this function is not recommended in such situations; fputc() should be used instead.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

fputc(), the Base Definitions volume of IEEE Std 1003.1-2001, <stdio.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .